Bug 732539 - SELinux is preventing /sbin/modprobe from 'use' accesses on the fd /dev/null.
SELinux is preventing /sbin/modprobe from 'use' accesses on the fd /dev/null.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:51195df9c8f2ec10c038c8e6b88...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-22 16:21 EDT by Sandro Mathys
Modified: 2013-02-13 22:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 22:00:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sandro Mathys 2011-08-22 16:21:46 EDT
abrt version: 2.0.5
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.0.0-1.fc16.x86_64
reason:         SELinux is preventing /sbin/modprobe from 'use' accesses on the fd /dev/null.
time:           Mon Aug 22 18:20:13 2011

description:
:SELinux is preventing /sbin/modprobe from 'use' accesses on the fd /dev/null.
:
:*****  Plugin catchall_boolean (80.5 confidence) suggests  *******************
:
:If you want to allow all domains to use other domains file descriptors
:Then you must tell SELinux about this by enabling the 'allow_domain_fd_use' boolean.
:Do
:setsebool -P allow_domain_fd_use 1
:
:*****  Plugin leaks (10.5 confidence) suggests  ******************************
:
:If you want to ignore modprobe trying to use access the null fd, because you believe it should not need this access.
:Then you should report this as a bug.  
:You can generate a local policy module to dontaudit this access.
:Do
:# grep /sbin/modprobe /var/log/audit/audit.log | audit2allow -D -M mypol
:# semodule -i mypol.pp
:
:*****  Plugin catchall (10.5 confidence) suggests  ***************************
:
:If you believe that modprobe should be allowed use access on the null fd by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep modprobe /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:insmod_t:s0-s0:c0.c1023
:Target Context                system_u:system_r:devicekit_disk_t:s0-s0:c0.c1023
:Target Objects                /dev/null [ fd ]
:Source                        modprobe
:Source Path                   /sbin/modprobe
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           module-init-tools-3.16-2.fc16
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-15.fc16
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.0.0-1.fc16.x86_64 #1
:                              SMP Fri Jul 22 16:09:29 UTC 2011 x86_64 x86_64
:Alert Count                   1
:First Seen                    Mon 22 Aug 2011 06:19:06 PM EDT
:Last Seen                     Mon 22 Aug 2011 06:19:06 PM EDT
:Local ID                      a937689b-61d9-4f3f-994f-625842ff63a1
:
:Raw Audit Messages
:type=AVC msg=audit(1314051546.394:57): avc:  denied  { use } for  pid=2250 comm="modprobe" path="/dev/null" dev=devtmpfs ino=4088 scontext=system_u:system_r:insmod_t:s0-s0:c0.c1023 tcontext=system_u:system_r:devicekit_disk_t:s0-s0:c0.c1023 tclass=fd
:
:
:type=AVC msg=audit(1314051546.394:57): avc:  denied  { use } for  pid=2250 comm="modprobe" path="pipe:[23887]" dev=pipefs ino=23887 scontext=system_u:system_r:insmod_t:s0-s0:c0.c1023 tcontext=system_u:system_r:devicekit_disk_t:s0-s0:c0.c1023 tclass=fd
:
:
:type=AVC msg=audit(1314051546.394:57): avc:  denied  { use } for  pid=2250 comm="modprobe" path="pipe:[23888]" dev=pipefs ino=23888 scontext=system_u:system_r:insmod_t:s0-s0:c0.c1023 tcontext=system_u:system_r:devicekit_disk_t:s0-s0:c0.c1023 tclass=fd
:
:
:type=SYSCALL msg=audit(1314051546.394:57): arch=x86_64 syscall=execve success=yes exit=0 a0=409289 a1=7fff08450120 a2=7fff08452508 a3=7fff08451f40 items=0 ppid=2249 pid=2250 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=modprobe exe=/sbin/modprobe subj=system_u:system_r:insmod_t:s0-s0:c0.c1023 key=(null)
:
:Hash: modprobe,insmod_t,devicekit_disk_t,fd,use
:
:audit2allow
:
:#============= insmod_t ==============
:#!!!! This avc can be allowed using the boolean 'allow_domain_fd_use'
:
:allow insmod_t devicekit_disk_t:fd use;
:
:audit2allow -R
:
:#============= insmod_t ==============
:#!!!! This avc can be allowed using the boolean 'allow_domain_fd_use'
:
:allow insmod_t devicekit_disk_t:fd use;
:
Comment 1 Sandro Mathys 2011-08-22 16:44:46 EDT
This showed up on F16 Alpha RC5/Gold KDE x86_64. I think it happened when I mounted a NTFS partition with Dolphin (I mounted an ext4 partition before that).

sealert also shows I had hit bug #730859 2 minutes before this issue - just mentioning in case they might be connected.
Comment 2 Sandro Mathys 2011-08-22 17:12:09 EDT
Suggesting this as a blocker for the final release following release requirement #8: "In most cases, there must be no SELinux 'AVC: denied' messages or abrt crash notifications on initial boot and subsequent login (see Blocker_Bug_FAQ)", see http://fedoraproject.org/wiki/Fedora_16_Final_Release_Criteria

FWIW: I think most people will never see this denial, most importantly they probably won't when just performing liveinst. Also, the denial didn't stop me from mounting those partitions or influence my livecd experience in any other way (ignoring the sealert popup/icon).

Adding F16Blocker.
Comment 3 Adam Williamson 2011-08-22 17:34:01 EDT
-1 blocker, as you have to do something to trigger the AVC: the criterion is intended to cover AVCs which occur as part of the course of booting the live image or installed system.
Comment 4 Sandro Mathys 2011-08-22 17:40:11 EDT
Adam, you are just so right. I shouldn't stop reading criteria after half the sentence just because I'm tired from the summer heat, sorry for that. Lifting F16Blocker again.
Comment 5 Miroslav Grepl 2011-08-23 05:06:58 EDT
We turned on the "allow_domain_fd_use" boolean for F16 so this is fixed in the latest F16 release.
Comment 6 Daniel Walsh 2011-08-23 23:16:26 EDT
Fixed in selinux-policy-3.10.0-21.fc16
Comment 7 Fedora End Of Life 2013-01-16 21:07:39 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 22:00:45 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.